Package org.apache.sysds.runtime.iogen

# Class SampleProperties

java.lang.Object
org.apache.sysds.runtime.io.FileFormatProperties
org.apache.sysds.runtime.iogen.SampleProperties

public class SampleProperties extends FileFormatProperties

## Constructor Summary

Constructors
Constructor
Description
`SampleProperties(String sampleRaw)`
`SampleProperties(String sampleRaw, FrameBlock sampleFrame)`
`SampleProperties(String sampleRaw, MatrixBlock sampleMatrix)`

## Method Summary

Modifier and Type
Method
Description
`Types.DataType`
`getDataType()`
`FrameBlock`
`getSampleFrame()`
`MatrixBlock`
`getSampleMatrix()`
`String`
`getSampleRaw()`
`void`
`setSampleFrame(FrameBlock sampleFrame)`
`void`
`setSampleMatrix(MatrixBlock sampleMatrix)`

### Methods inherited from class org.apache.sysds.runtime.io.FileFormatProperties

`getBlocksize, getDescription, knownBlocksize, setDescription`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SampleProperties

public SampleProperties(String sampleRaw)

### SampleProperties

public SampleProperties(String sampleRaw, MatrixBlock sampleMatrix)

### SampleProperties

public SampleProperties(String sampleRaw, FrameBlock sampleFrame)

## Method Details

### getSampleRaw

public String getSampleRaw()

### getSampleMatrix

public MatrixBlock getSampleMatrix()

### getSampleFrame

public FrameBlock getSampleFrame()

### getDataType

public Types.DataType getDataType()

### setSampleMatrix

public void setSampleMatrix(MatrixBlock sampleMatrix)

### setSampleFrame

public void setSampleFrame(FrameBlock sampleFrame)